Bug 26758 - RTL8139 initialization failed.
Summary: RTL8139 initialization failed.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard: Florence Gold
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-08 23:49 UTC by Bill Huang
Modified: 2007-03-27 03:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-23 13:02:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Huang 2001-02-08 23:49:46 UTC
(Originally reported by Hitachi beta test team)
Initializing the RTL8139 failed.

Machine: Hitachi FLORA 310LV LA1
http://www.hitachi.co.jp/Prod/comp/OSD/pc/index-j.htm

Chipset: i810
Legacy Free,No PS2,Serial,Parallel,FD
Only USB

Error messages are displayed below:

Feb  7 16:23:45 localhost kernel: Linux agpgart interface v0.99 (c) Jeff
Hartmann
Feb  7 16:23:45 localhost kernel: agpgart: Maximum main memory to use for
agp
memory: 93M
Feb  7 16:23:45 localhost kernel: agpgart: Detected an Intel i810 E
Chipset.
Feb  7 16:23:45 localhost kernel: agpgart: AGP aperture is 64M @ 0xe8000000
Feb  7 16:23:45 localhost kernel: keyboard: Timeout - AT keyboard not
present?
Feb  7 16:23:45 localhost kernel: ip_conntrack (1015 buckets, 8120 max)
Feb  7 16:23:45 localhost kernel: Unable to handle kernel paging request at
virtual address c8843340
Feb  7 16:23:45 localhost kernel:  printing eip:
Feb  7 16:23:45 localhost kernel: c019d8fd
Feb  7 16:23:45 localhost kernel: *pde = 01261063
Feb  7 16:23:45 localhost kernel: *pte = 00000000
Feb  7 16:23:45 localhost kernel: Oops: 0002
Feb  7 16:23:45 localhost kernel: CPU:    0
Feb  7 16:23:45 localhost kernel: EIP:    0010:[pci_register_driver+29/96]
Feb  7 16:23:45 localhost kernel: EIP:    0010:[<c019d8fd>]
Feb  7 16:23:45 localhost kernel: EFLAGS: 00010246
Feb  7 16:23:45 localhost kernel: eax: c8843340   ebx: c88f8000   ecx:
c02638ac
edx: c02638ac
Feb  7 16:23:45 localhost kernel: esi: c88fbfc0   edi: 00000000   ebp:
0809fb38
esp: c71c5f08
Feb  7 16:23:45 localhost kernel: ds: 0018   es: 0018   ss: 0018
Feb  7 16:23:45 localhost kernel: Process modprobe (pid: 456,
stackpage=c71c5000)
Feb  7 16:23:45 localhost kernel: Stack: c88f8000 00000000 00000000
c88faffd
c88fbfc0 c88f8000 00000000 00000000 
Feb  7 16:23:45 localhost kernel:        0809fb38 c01169f5 00000000
c7118000
00003fe0 c7119000 00000060 ffffffea 
Feb  7 16:23:45 localhost kernel:        00000007 c7ed5de0 00000060
c88eb000
c88f8060 000040f0 00000000 00000000 

Feb  7 16:23:45 localhost kernel: Call Trace:
[8139too:__insmod_8139too_O/lib/modules/2.4.0-0.99.11/kernel/drivers+0/96]
[8139too:__insmod_8139too_S.text_L12236+12189/12256]
[8139too:__insmod_8139too_S.data_L448+416/668]
[8139too:__insmod_8139too_O/lib/modules/2.4.0-0.99.11/kernel/drivers+0/96]
[sys_init_module+1317/1504]
[8139too:__insmod_8139too_O/lib/modules/2.4.0-0.99.11/kernel/drivers+-53248/96]
[8139too:__insmod_8139too_S.text_L12236+0/12256] 
Feb  7 16:23:45 localhost kernel: Call Trace: [<c88f8000>] [<c88faffd>]
[<c88fbfc0>] [<c88f8000>] [<c01169f5>] [<c88eb000>] [<c88f8060>] 
Feb  7 16:23:45 localhost kernel:        [system_call+51/56] 
Feb  7 16:23:45 localhost kernel:        [<c0109007>] 
Feb  7 16:23:45 localhost kernel: 
Feb  7 16:23:45 localhost kernel: Code: 89 30 8b 1d 28 10 27 c0 81 fb 28 10
27 c0
74 23 8d 76 00 53

Comment 1 Glen Foster 2001-02-09 23:18:20 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Arjan van de Ven 2001-02-14 18:27:02 UTC
Several RTL8139 made it into the mainstream kernel recently (and therefore 
in the latest RPMs). Is it possible to get a recent kernel tested ?

Comment 3 Arjan van de Ven 2001-02-23 13:02:09 UTC
Please verify against 2.4.1-0.1.9 or later


Note You need to log in before you can comment on or make changes to this bug.